com.google.gwt.user.client

## Interface Window.ClosingHandler

All Superinterfaces:
  EventHandler

All Known Implementing Classes:
  BaseListenerWrapper.WrapWindowClose

Enclosing class:
  Window

    public static interface Window.ClosingHandler
    extends EventHandler

Handler for `Window.ClosingEvent` events.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onWindowClosing(Window.ClosingEvent event)` Fired just before the browser window closes or navigates to a different site.

### Method Detail

#### onWindowClosing

    void onWindowClosing(Window.ClosingEvent event)

Fired just before the browser window closes or navigates to a different site. No user-interface may be displayed during shutdown.

Parameters:
  `event` - the event